﻿using PDF_Office.Helper;
using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.Model.PDFTool
{
    public class ToolItem1 : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged = delegate { };

        private bool _isShowConciseContent = false;
        public bool IsShowConciseContent
        {
            get { return _isShowConciseContent; }
            set
            {
                _isShowConciseContent = value;
                PropertyChanged(this, new PropertyChangedEventArgs("IsShowConciseContent"));
            }
        }
        public bool IsNewTool { get; set; }
        public int Id { get; set; }
        public PDFToolType Tag { get; set; }
        public string Image { get; set; }
        public string TitleInfo { get; set; }
        public string Title { get; set; }

    }
}
